import { TransactionLineBaseComponent } from './transaction-line-base.component';
export declare abstract class TransactionInputLineFieldBaseComponent extends TransactionLineBaseComponent {
    showLabel: boolean;
    showLabelBefore: boolean;
    defaultEditMode: boolean;
    set editMode(value: boolean);
    get editMode(): boolean;
    handleClick(event: MouseEvent): void;
    input: any;
    private _editMode;
    protected setEditMode(rollback?: boolean): Promise<void>;
}
